Subject: Re: bug#17494: "GREP_OPTIONS" allows a user to break shell script

From: Jim Meyering <[email-masked]>
Date: Fri, 12 Sep 2014 08:24:15 -0700

On Thu, Sep 11, 2014 at 2:21 PM, Paul Eggert <[email-masked]> wrote:
> Attached is a proposed patch that starts to address this longstanding
> problem by deprecating GREP_OPTIONS and warning if it's used.  We can remove
> the dangerous feature in a later release.  Comments?

That looks fine. Long overdue. Thank you for writing it.